%{?nodejs_find_provides_and_requires}

%global packagename duration

# Tests disabled until we can bootstrap npm(tad), of which this is a dependency
%global enable_tests 0

Name:		nodejs-duration
Version:	0.2.0
Release:	2%{?dist}
Summary:	Time duration utilities

License:	MIT
URL:		https://github.com/medikoo/duration.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/medikoo/duration/master/LICENSE
# the license file was added after the release was tagged

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(d)
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

%description
Time duration utilities


%prep
%setup -q -n package
cp -p %{SOURCE1} .

%nodejs_fixdep d

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tad
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Nov 13 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-2
- Initial packaging
